## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate gst-plugin-reqwest

Name:           rust-gst-plugin-reqwest
Version:        0.13.3
Release:        %autorelease
Summary:        GStreamer reqwest HTTP Source Plugin

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/gst-plugin-reqwest
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  cargo-c >= 0.9.21

%global _description %{expand:
GStreamer reqwest HTTP Source Plugin.}

%description %{_description}

%package     -n gstreamer1-plugin-reqwest
Summary:        %{summary}

# (Apache-2.0 OR MIT) AND BSD-3-Clause
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR ISC OR MIT
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND BSD-3-Clause AND MIT AND (0BSD OR MIT OR Apache-2.0) AND (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR ISC OR MIT) AND (Apache-2.0 OR MIT) AND (MIT OR Apache-2.0 OR Zlib) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

# additionally provide the upstream name
Provides:       %{crate} = %{version}-%{release}

%description -n gstreamer1-plugin-reqwest %{_description}

%files       -n gstreamer1-plugin-reqwest
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%{_libdir}/gstreamer-1.0/libgstreqwest.so

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+capi-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+capi-devel %{_description}

This package contains library source intended for building other packages which
use the "capi" feature of the "%{crate}" crate.

%files       -n %{name}+capi-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+doc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+doc-devel %{_description}

This package contains library source intended for building other packages which
use the "doc" feature of the "%{crate}" crate.

%files       -n %{name}+doc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+static-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+static-devel %{_description}

This package contains library source intended for building other packages which
use the "static" feature of the "%{crate}" crate.

%files       -n %{name}+static-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies
%cargo_cbuild

%install
%cargo_install
%cargo_cinstall
# remove statically linked library
rm -v %{buildroot}/%{_libdir}/gstreamer-1.0/libgstreqwest.a
# remove unnecessary pkgconfig file
rm -v %{buildroot}/%{_libdir}/pkgconfig/gstreqwest.pc

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Thu Feb 06 2025 Fabio Valentini <decathorpe@gmail.com> - 0.13.3-3
- Rebuild for openssl crate >= v0.10.70 (RUSTSEC-2025-0004)

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Nov 06 2024 Fabio Valentini <decathorpe@gmail.com> - 0.13.3-1
- Update to version 0.13.3; Fixes RHBZ#2323359

* Sun Oct 20 2024 Fabio Valentini <decathorpe@gmail.com> - 0.13.2-1
- Update to version 0.13.2; Fixes RHBZ#2315524

* Wed Sep 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.13.1-1
- Update to version 0.13.1; Fixes RHBZ#2298235

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 21 2024 Fabio Valentini <decathorpe@gmail.com> - 0.12.7-1
- Update to version 0.12.7; Fixes RHBZ#2293544

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.12.4-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Wed May 08 2024 Fabio Valentini <decathorpe@gmail.com> - 0.12.4-1
- Update to version 0.12.4; Fixes RHBZ#2273987

* Wed Mar 27 2024 Fabio Valentini <decathorpe@gmail.com> - 0.12.0-1
- Update to version 0.12.0; Fixes RHBZ#2263423

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Dec 01 2023 Fabio Valentini <decathorpe@gmail.com> - 0.11.1-2
- Rebuild for openssl crate >= v0.10.60 (RUSTSEC-2023-0044,
  RUSTSEC-2023-0072)

* Sat Oct 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.11.1-1
- Update to version 0.11.1; Fixes RHBZ#2242193

* Fri Sep 29 2023 Kalev Lember <klember@redhat.com> - 0.11.0-1
- Update to 0.11.0
- Downgrade cargo-c dep to the version available in Fedora

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed May 03 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.4-2
- Rebuild with h2 >= v0.3.18 and tokio >= v1.24.2
  (RUSTSEC-2023-{0005,0034})

* Wed Apr 19 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.4-1
- Initial import (#2179161)
## END: Generated by rpmautospec
